Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns

Returns a list of juices that the user has in their collection.

Parameters

query
string
The query to search for.
sort_by
string
The field in which the sort should be applied to. Can be only one item. Default is name.
sort
string
The order in which the response should be sorted. Can be set to order by desc or asc. Default is desc.
page
int
The page number. Default is 1.
per
int
The amount of records returned per page. Default is 20.
custom_fields
object
Filter by custom field values. The object should have custom field IDs as keys and either a single value or an array of values. Only collectables matching the specified custom field values will be returned. Multiple values for the same field are treated as OR (match any), while different fields are treated as AND (must match all).Example: { "123": "Value1", "456": ["Value2", "Value3"] } will return collectables that have custom field 123 with value “Value1” AND custom field 456 with value “Value2” OR “Value3”.
  curl -X GET "https://api.onlydrams.app/api/v1/users/:id/collection/bottles?custom_fields[123]=Value1&custom_fields[456][]=Value2&custom_fields[456][]=Value3" \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN"
{
	"total": 6,
	"has_more": false,
	"data": [
		{
			"id": "42fb80e9-008b-4484-aa98-2dbe0c2e8b7c",
			"name": "10,000 Drops Single Barrel Bourbon",
			"proof": 0.0,
			"variety": "bourbon",
			"size": "750",
			"image_url": "https://storage.googleapis.com/onlydrams/vff6ze006kqe75ons2cek9stxeov",
			"juice_id": "1bd5b775-9adc-499f-be08-baba57cbbeeb",
			"status": "unopened",
			"total": 1
		},
		...
	]
}